<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns="http://www.w3.org/1999/xhtml">
    <ui:composition>
        <f:facet name="header">
            <p:graphicImage name="images/accepted.png"
                            rendered="#{uiBean.uiTreatment.traitementStepIsValid}"/>
            <h:outputText value="#{titleForTraitementsAccordionItem}"/>
        </f:facet>
        <f:loadBundle basename="org.inra.ecoinfo.acbb.extraction.jsf.accordions.treatmentAccordionItem"
                      var="treatmentAccordionItem"/>
        <h:outputText
            rendered="#{not uiBean.uiTreatment.traitementStepIsValid}"
            value="#{treatmentAccordionItem.PARAM_MSG_WARNING}"/>
        <p:dataList value="#{uiBean.uiTreatment.treatmentBySitesAndAgroecosystems.entrySet()}"
                    var="byAgroecosystem" type="definition"
                    rendered="#{uiBean.uiTreatment.traitementStepIsValid}">
            <p:accordionPanel>
                <p:tab title="#{byAgroecosystem.key}">
                    <p:dataList value="#{byAgroecosystem.value.entrySet()}"
                                var="bySites" type="definition">
                        <p:accordionPanel>
                            <p:tab title="#{bySites.key}">
                                <p:dataList value="#{bySites.value}"
                                            var="traitement" type="definition">
                                    <p:commandLink actionListener="#{uiBean.uiTreatment.removeTraitement(traitement)}"
                                                   process="@this"
                                                   oncomplete="updateTreenodes()">
                                        <h:outputText
                                            value="#{traitement.localizedAffichage})"/>
                                        <p:graphicImage value="#{resource['images/remove_selection.png']}" styleClass="buttonAction"/>
                                    </p:commandLink>
                                </p:dataList>
                            </p:tab>
                        </p:accordionPanel> 
                    </p:dataList>
            </p:tab>
            </p:accordionPanel> 
        </p:dataList>

    </ui:composition>
</html>